Zum Hauptinhalt springen

Resend the mail address verification email. Replaced by POST /v2/users/self/credentials/email/actions/resend-email.

POST/v2/signup/email/resend
API-Version
v2
Request-Methode
POST
Operation-ID
deprecated-user-resend-verification-email

Request​

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"email":"ada.lovelace@example.com","userId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/signup/email/resend
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deprecatedUserResendVerificationEmail({
"data": {
"email": "ada.lovelace@example.com",
"userId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserResendVerificationEmail\DeprecatedUserResendVerificationEmailRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserResendVerificationEmail\DeprecatedUserResendVerificationEmailRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedUserResendVerificationEmailRequestBody to learn how to construct a valid instance
$body = new DeprecatedUserResendVerificationEmailRequestBody(/* TODO: ... */);

$request = (new DeprecatedUserResendVerificationEmailRequest(
body: $body
));
$response = $client->user()->deprecatedUserResendVerificationEmail($request);

var_dump($response->getBody();

Auf dieser Seite